Skip to main content
GET
/
v1
/
podcasts
/
{id}
/
mentions
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/podcasts/{id}/mentions?limit=25"
{
  "data": [
    {
      "episode": {
        "duration_seconds": 123,
        "has_transcript": true,
        "id": "<string>",
        "title": "<string>",
        "clip_count": 123,
        "published_at": "2023-11-07T05:31:56Z",
        "segment_count": 123,
        "slug": "<string>"
      },
      "occurrences": 123,
      "salience": 123,
      "speaker_roles": [
        "<string>"
      ]
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Podcast slug (e.g., 'all-in'), internal ID, or numeric iTunes ID

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

entity_id
string

Entity slug (e.g., 'sam-altman', 'openai') or ID

company_id
string

Company slug (e.g., 'nvidia'), domain (e.g., 'nvidia.com'), or ID. Resolves to the company's linked entity.

role
enum<string>

Entity role filter. Constrains which episodes match.

Available options:
guest,
host,
panelist,
correspondent,
mention
published_after
string

Only episodes published after this ISO 8601 date or date-time (e.g. 2024-01-01 or 2024-01-01T00:00:00Z)

published_before
string

Only episodes published before this ISO 8601 date or date-time (e.g. 2024-01-01 or 2024-01-01T00:00:00Z)

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results